This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 829246 - virsh detach-disk will be failed with special image name
virsh detach-disk will be failed with special image name
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Osier Yang
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 06:09 EDT by Alex Jia
Modified: 2013-10-14 22:59 EDT (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.9.13-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:16:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Jia 2012-06-06 06:09:26 EDT
Description of problem:
If using local.img or attch.img as a image name then hot-plug the disk into guest, it's okay, however, it will be failed if hot-unplug the disk from the guest. 

Other special image name also should meet the problem, but I'm not sure what they are, at present, 'local.img' and 'attch.img' also can reproduce the issue.

Version-Release number of selected component (if applicable):
# rpm -q libvirt qemu-kvm-rhev kernel
libvirt-0.9.10-21.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.293.el6.x86_64
kernel-2.6.32-220.el6.x86_64

How reproducible:
always(using 'local.img' or 'attch.img' as a image name)

Steps to Reproduce:
1. # qemu-img create /var/lib/libvirt/images/local.img 10M
Formatting '/var/lib/libvirt/images/local.img', fmt=raw size=10485760
2. # virsh start <domain>   such as domain is 'myVM'
3. # virsh attach-disk myVM /var/lib/libvirt/images/local.img vdb
4. # virsh detach-disk myVM  vdb

Actual results:
# virsh attach-disk myVM /var/lib/libvirt/images/local.img vdb
Disk attached successfully

# virsh detach-disk myVM  vdb
error: Failed to detach disk
error: (device_definition):7: Extra content at the end of the document
    </disk>�
-----------^



Expected results:
fix it.

Additional info:
It seems virsh/libvirt can't deal with some special key words image name when running virsh detach-disk.
Comment 2 Osier Yang 2012-06-18 02:36:09 EDT
Fixed by upstream commit e3843d7f. Move to POST.
Comment 4 Geyang Kong 2012-07-10 21:56:12 EDT
I can also reproduce this bug with cdrom and an ISO file with specific name.
Comment 6 weizhang 2012-07-24 23:50:21 EDT
Verify pass on
libvirt-0.9.13-3.el6.x86_64
qemu-kvm-0.12.1.2-2.298.el6.x86_64
kernel-2.6.32-289.el6.x86_64

Do test
# virsh attach-disk vr-rhel6u3-x86_64-kvm /var/lib/libvirt/images/local.img vdb
Disk attached successfully

# virsh detach-disk vr-rhel6u3-x86_64-kvm vdb
Disk detached successfully

# virsh attach-disk vr-rhel6u3-x86_64-kvm /var/lib/libvirt/images/attch.img vdb
Disk attached successfully

# virsh detach-disk vr-rhel6u3-x86_64-kvm vdb
Disk detached successfully

no problem

Also according to comment 4, do testing
# virsh change-media 2 hdc /var/lib/libvirt/migrate/RHEL6.2-20111117.0-Server-x86_64-DVD1.iso --insert
succeeded to complete action insert on media

# virsh change-media 2 hdc --eject
succeeded to complete action eject on media

no problem
Comment 7 errata-xmlrpc 2013-02-21 02:16:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.